=== debian/changelog ===
opencpn-plugin-climatology (1.3.4-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 06:33:46 -0700

opencpn-plugin-climatology (1.3.4-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 06:14:31 -0700

opencpn-plugin-climatology (1.3.4-0~disco1) disco; urgency=low

  * Version v1.3.4

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 22:45:31 -0400

opencpn-plugin-climatology (1.3.2-0~disco1) disco; urgency=low

  * Version v1.3.2

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 22:00:09 -0400

opencpn-plugin-climatology (1.3.1-0~disco1) disco; urgency=low

  * Version v1.3.1

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 21:56:50 -0400

opencpn-plugin-climatology (1.3.3-0~cosmic1) cosmic; urgency=low

  * Version v1.3.3

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:27:48 -0400

opencpn-plugin-climatology (1.3.3-0~bionic1) bionic; urgency=low

  * Version v1.3.3

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:27:48 -0400

opencpn-plugin-climatology (1.3.3-0~xenial1) xenial; urgency=low

  * Version v1.3.3

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:27:48 -0400

opencpn-plugin-climatology (1.3.3-0~trusty1) trusty; urgency=low

  * Version v1.3.3

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:27:48 -0400

opencpn-plugin-climatology (1.3.2-0~xenial1) xenial; urgency=low

  * Version v1.3.2

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:26:30 -0400

opencpn-plugin-climatology (1.3.2-0~trusty1) trusty; urgency=low

  * Version v1.3.2

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 11:26:30 -0400
